Skip to main content
`Ctrl`+`K`

# MatCreateFromParCSR

Creates a `Mat` from a `hypre_ParCSRMatrix`

## Synopsis

    PETSC_EXTERN PetscErrorCode MatCreateFromParCSR(hypre_ParCSRMatrix *parcsr, MatType mtype, PetscCopyMode copymode, Mat *A)

Collective

## Input Parameters

- parcsr - the pointer to the `hypre_ParCSRMatrix`

- mtype - matrix type to be created. Currently `MATAIJ`, `MATIS` and `MATHYPRE` are supported.

- copymode - PETSc copying options, see `PetscCopyMode`

## Output Parameter

- A - the matrix

## See Also

Matrices, `Mat`, `MatHYPRE`, `PetscCopyMode`

## Level

intermediate

## Location

src/mat/impls/hypre/mhypre.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages